Debian Bug report logs - #553256
shapelib: missing-dependency-on-libc needed by ./usr/bin/dbfadd and 7 others but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.

version graph

Package: shapelib; Maintainer for shapelib is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>; Source for shapelib is src:shapelib.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 19:57:01 UTC

Severity: serious

Found in version shapelib/1.2.10-4.1

Fixed in versions shapelib/1.2.10-4.2, shapelib/1.2.10-5

Done: Francesco Paolo Lovergine <frankie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#553256; Package shapelib. (Thu, 29 Oct 2009 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>. (Thu, 29 Oct 2009 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: shapelib: missing-dependency-on-libc needed by ./usr/bin/dbfadd and 7 others but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.
Date: Thu, 29 Oct 2009 14:18:07 -0500
Package: shapelib
Version: 1.2.10-4.1
Severity: serious
Justification: The listed file appears to be linked against the C library,
User: lintian-maint@debian.org
Usertags: missing-dependency-on-libc

All shared libraries and compiled binaries must be run through dpkg-shlibdeps to
find out any libraries they are linked against (often via the dh_shlibdeps
debhelper command). The package containing these files must then depend on
${shlibs:Depends} in debian/control to get the proper package dependencies for
those libraries.

Refer to Debian Policy Manual section 8.6 (Dependencies between the library and
other packages - the shlibs system) for details.

,----[ 8.6 Dependencies between the library and other packages - the shlibs system ]
| If a package contains a binary or library which links to a shared library, we
| must ensure that when the package is installed on the system, all of the
| libraries needed are also installed. This requirement led to the creation of the
| shlibs system, which is very simple in its design: any package which provides a
| shared library also provides information on the package dependencies required to
| ensure the presence of this library, and any package which uses a shared library
| uses this information to determine the dependencies it requires. The files which
| contain the mapping from shared libraries to the necessary dependency
| information are called shlibs files.
| 
| Thus, when a package is built which contains any shared libraries, it must
| provide a shlibs file for other packages to use, and when a package is built
| which contains any shared libraries or compiled binaries, it must run
| dpkg-shlibdeps on these to determine the libraries used and hence the
| dependencies needed by this package.
`----

,----[ 8.6.2 How to use dpkg-shlibdeps and the shlibs files ]
| Put a call to dpkg-shlibdeps into your debian/rules file. If your package
| contains only compiled binaries and libraries (but no scripts), you can use a
| command such as:
| 
|      dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
|        debian/tmp/usr/lib/*
| 
| Otherwise, you will need to explicitly list the compiled binaries and
| libraries.[53]
| 
| This command puts the dependency information into the debian/substvars file,
| which is then used by dpkg-gencontrol. You will need to place a
| ${shlibs:Depends} variable in the Depends field in the control file for this to
| work.
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages shapelib depends on:
pn  libshp1                       <none>     (no description available)

shapelib recommends no packages.

shapelib suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#553256; Package shapelib. (Sat, 28 Nov 2009 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregoa@debian.org:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. (Sat, 28 Nov 2009 13:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 553256@bugs.debian.org (full text, mbox):

From: gregoa@debian.org
To: 553256@bugs.debian.org
Subject: shapelib: diff for NMU version 1.2.10-4.2
Date: Sat, 28 Nov 2009 14:32:47 +0100
Dear maintainer,

I've uploaded an NMU for shapelib (versioned as 1.2.10-4.2). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP


diff -u shapelib-1.2.10/debian/rules shapelib-1.2.10/debian/rules
--- shapelib-1.2.10/debian/rules
+++ shapelib-1.2.10/debian/rules
@@ -46,7 +46,7 @@
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) clean
-	rm shprewind
+	rm -f shprewind
 
 	dh_clean
 
diff -u shapelib-1.2.10/debian/control shapelib-1.2.10/debian/control
--- shapelib-1.2.10/debian/control
+++ shapelib-1.2.10/debian/control
@@ -8,7 +8,7 @@
 Package: shapelib
 Section: graphics
 Architecture: any
-Depends: libshp1 (= ${Source-Version})
+Depends: libshp1 (= ${binary:Version}), ${shlibs:Depends}
 Description: C API for reading and writing ArcView Shapefiles
  The Shapefile format is a new working and interchange format
  promulagated by ESRI (http://www.esri.com/) for simple vector
@@ -21,7 +21,7 @@
 Package: libshp-dev
 Section: libdevel
 Architecture: any
-Depends: libshp1 (= ${Source-Version})
+Depends: libshp1 (= ${binary:Version})
 Description: C API for reading and writing ArcView Shapefiles
  The Shapefile format is a new working and interchange format 
  promulagated by ESRI (http://www.esri.com/) for simple vector 
diff -u shapelib-1.2.10/debian/changelog shapelib-1.2.10/debian/changelog
--- shapelib-1.2.10/debian/changelog
+++ shapelib-1.2.10/debian/changelog
@@ -1,3 +1,15 @@
+shapelib (1.2.10-4.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix "missing-dependency-on-libc needed by ./usr/bin/dbfadd and 7 others
+    ..." by adding ${shlibs:Depends} to Depends (closes: #553256).
+  * debian/control: replace ${Source-Version} with ${binary:Version}, thanks
+    lintian.
+  * debian/rules: use "rm -f" for removing shprewind in clean target,
+    otherwise the package fails to build twice in a row.
+
+ -- gregor herrmann <gregoa@debian.org>  Sat, 28 Nov 2009 14:26:03 +0100
+
 shapelib (1.2.10-4.1) unstable; urgency=low
 
   * Non-maintainer upload.




Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 13:57:06 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 13:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 553256-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553256-close@bugs.debian.org
Subject: Bug#553256: fixed in shapelib 1.2.10-4.2
Date: Sat, 28 Nov 2009 13:51:50 +0000
Source: shapelib
Source-Version: 1.2.10-4.2

We believe that the bug you reported is fixed in the latest version of
shapelib, which is due to be installed in the Debian FTP archive:

libshp-dev_1.2.10-4.2_i386.deb
  to main/s/shapelib/libshp-dev_1.2.10-4.2_i386.deb
libshp1_1.2.10-4.2_i386.deb
  to main/s/shapelib/libshp1_1.2.10-4.2_i386.deb
shapelib_1.2.10-4.2.diff.gz
  to main/s/shapelib/shapelib_1.2.10-4.2.diff.gz
shapelib_1.2.10-4.2.dsc
  to main/s/shapelib/shapelib_1.2.10-4.2.dsc
shapelib_1.2.10-4.2_i386.deb
  to main/s/shapelib/shapelib_1.2.10-4.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated shapelib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 14:26:03 +0100
Source: shapelib
Binary: shapelib libshp-dev libshp1
Architecture: source i386
Version: 1.2.10-4.2
Distribution: unstable
Urgency: low
Maintainer: Noèl Köthe <noel@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libshp-dev - C API for reading and writing ArcView Shapefiles
 libshp1    - C API for reading and writing ArcView Shapefiles
 shapelib   - C API for reading and writing ArcView Shapefiles
Closes: 553256
Changes: 
 shapelib (1.2.10-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "missing-dependency-on-libc needed by ./usr/bin/dbfadd and 7 others
     ..." by adding ${shlibs:Depends} to Depends (closes: #553256).
   * debian/control: replace ${Source-Version} with ${binary:Version}, thanks
     lintian.
   * debian/rules: use "rm -f" for removing shprewind in clean target,
     otherwise the package fails to build twice in a row.
Checksums-Sha1: 
 615da5b01e328febd005765fa76c2305c6a9e3f8 1680 shapelib_1.2.10-4.2.dsc
 ac03b872b8c1d54c7b188ab621524872bde51842 10622 shapelib_1.2.10-4.2.diff.gz
 293d36c8da9853184638f5b003700d42c16be24a 68850 shapelib_1.2.10-4.2_i386.deb
 e0b1c5bf97a51438822869b59884484e8e0f413a 25828 libshp-dev_1.2.10-4.2_i386.deb
 c21a3afdb1bbc43ddb4223abae02d78b1f1b704c 22510 libshp1_1.2.10-4.2_i386.deb
Checksums-Sha256: 
 a1d750f996ea35c060a919fdeb94dd6a8c529344222e844abf9147b177b33db1 1680 shapelib_1.2.10-4.2.dsc
 918fdc67a7f6c1b437e17fd2c93458fef9076236d44c9eddd4dca6add58cd161 10622 shapelib_1.2.10-4.2.diff.gz
 b459c237f78d292fc9875b47b72787ddcf191e84cd0e74fb98e94377fca1d233 68850 shapelib_1.2.10-4.2_i386.deb
 b79d156e67a812d2ad649065594815689b97ee39db03dd18749e50324cc593ef 25828 libshp-dev_1.2.10-4.2_i386.deb
 74eee77f59b9b420fb8e03f9f5f2b068e24caf4019f7616301aae929e4559ce3 22510 libshp1_1.2.10-4.2_i386.deb
Files: 
 1168e4d541c9fb5ff89883b583b2bf8e 1680 - optional shapelib_1.2.10-4.2.dsc
 f5415610f71540470442aeb6670e243c 10622 - optional shapelib_1.2.10-4.2.diff.gz
 f035c3fa28e61412156e8dd871752378 68850 graphics optional shapelib_1.2.10-4.2_i386.deb
 7d54ccf7331e1053b507801bb55fddc8 25828 libdevel optional libshp-dev_1.2.10-4.2_i386.deb
 0283c13c881ba47a998ec6654fe3446d 22510 libs optional libshp1_1.2.10-4.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLESY/AAoJELs6aAGGSaoG1oEP/Rnq7IIP0O/h0m/IQqrUh02j
o4G96wevwMeQJEBrgIEKlTFAkzvFslRqBIgDiO11odxYt568vPqeOcsihZpsPqIt
kK3KcKaacW3FYNl9QYaVpvVY1W5wZDexscx44eRCauzVjYn1ObdDea2O+z/s5huv
S4QhiDKu+wFYNetSg9ebuunFqShIdcRZW6yAF/8Qg7Yyrv2MoYDktatWfD6PtPAe
NurdB1u7Vr/ueWdm2WNZ1dcpDRfEuGgGncsm+uHXtDO36L15zOI6HwHZ/IQsrvTQ
KblQT7DXgC5PjyRw/EPiyetc1cO/bP/yoth4iXCbQWIxtJO9WR8/GU0p1EqylaFb
84i50yzXTsRj0bDnlN1BOdSYyLr6gz7++EUHAh9UzUM5P0kNIqC7mJIxWbuFTOhL
17CNbIgSiAeUNI6VfzkgXJf3v4uSlkpV8wA7AMUbwX2a8J7YUCl8ZIfLhNaCV47A
95goZR6UV9VfB1zC6VX1cbms0pnUIb9yDlQMBz6OqBqWcwKyKUDkmxW4tiWjKhAo
Pe3r4WjHEkiUItq2IzCjg5443s7CYvGj17InwLn2Jg1MOqtM86SGvEhTDqMYRIV4
4jzZDw1cNPxoWBeE9lJ07b1RS2Lm1dRkW8G5Wrn72yzfqKmsM2m1KvRVilkzCBes
f2kothxLRelAUaS98m8V
=xbrd
-----END PGP SIGNATURE-----





Reply sent to Francesco Paolo Lovergine <frankie@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 10:21:11 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 10:21:11 GMT) Full text and rfc822 format available.

Message #20 received at 553256-close@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: 553256-close@bugs.debian.org
Subject: Bug#553256: fixed in shapelib 1.2.10-5
Date: Sun, 29 Nov 2009 10:17:30 +0000
Source: shapelib
Source-Version: 1.2.10-5

We believe that the bug you reported is fixed in the latest version of
shapelib, which is due to be installed in the Debian FTP archive:

libshp-dev_1.2.10-5_i386.deb
  to main/s/shapelib/libshp-dev_1.2.10-5_i386.deb
libshp1_1.2.10-5_i386.deb
  to main/s/shapelib/libshp1_1.2.10-5_i386.deb
shapelib_1.2.10-5.diff.gz
  to main/s/shapelib/shapelib_1.2.10-5.diff.gz
shapelib_1.2.10-5.dsc
  to main/s/shapelib/shapelib_1.2.10-5.dsc
shapelib_1.2.10-5_i386.deb
  to main/s/shapelib/shapelib_1.2.10-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <frankie@debian.org> (supplier of updated shapelib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Nov 2009 08:46:41 +0100
Source: shapelib
Binary: shapelib libshp-dev libshp1
Architecture: source i386
Version: 1.2.10-5
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <frankie@debian.org>
Description: 
 libshp-dev - A library for reading and writing ArcView Shapefiles - developmen
 libshp1    - A library for reading and writing ArcView Shapefiles
 shapelib   - A library for reading and writing ArcView Shapefiles - tools
Closes: 497160 539342 553256 556606
Changes: 
 shapelib (1.2.10-5) unstable; urgency=low
 .
   * Long due upload.
   * Maintainership moved to DebianGis team. Thanks Noèl.
   * Policy changed to 3.8.3.
   * Debhelper level set to 7.
   * debian/rules revised to use dh_install and dh_prep.
   * debian/control now has better descriptions.
   * debian/control variables changed to 3.7+ versions.
   * debian/watch revised.
     (closes: #539342)
   * Fixed debian/changelog typo.
   * Added copyright notice in debian/control.
   * Removed obsolete (?) man2html build-dep.
   * Ack previous couple of NMUs, as merged.
     (closes: #553256, #497160)
   * Long descriptions revised.
     (closes: #556606)
Checksums-Sha1: 
 589dad8bfc23d374417cdcb9db46b76b84aa83b9 1106 shapelib_1.2.10-5.dsc
 61200176e8ab975c7dcd3df33880b7b015802a85 10303 shapelib_1.2.10-5.diff.gz
 968c0f9ef9b255f0651a1c6d51ad106489273c5b 70058 shapelib_1.2.10-5_i386.deb
 a2884e5b18fee12085af129c305aadaaa3e221e1 26122 libshp-dev_1.2.10-5_i386.deb
 1b31db7ee4820662400c44f0eb8a7dc7e0251c45 22440 libshp1_1.2.10-5_i386.deb
Checksums-Sha256: 
 98ca6326c74e51938b031163b63cb90492a693b7ae14f5330ba9ce1dcf505c93 1106 shapelib_1.2.10-5.dsc
 7ca3f3513b70777b7bd646834efff534674764183596c113daed29316e882dc0 10303 shapelib_1.2.10-5.diff.gz
 e1c37afa625b6fae80aeb4f0d2b6df9cf1d4fbe1c987aa64a71a34d8ba0d8105 70058 shapelib_1.2.10-5_i386.deb
 58e01b7e7eee90ddead330f3f0268417c4fb380b4e890e66e3eb305ed61ae922 26122 libshp-dev_1.2.10-5_i386.deb
 92c8e32b8c1f76368bc38929d1ae2574a251e50fe429f7b8d01336856f0bbf1d 22440 libshp1_1.2.10-5_i386.deb
Files: 
 0dffe2e6b4caf98e4468c73468906f08 1106 - optional shapelib_1.2.10-5.dsc
 6d78755ff8952f2c4aec3bcf6ae2a924 10303 - optional shapelib_1.2.10-5.diff.gz
 d890e0cc2ffcbf891a15ad44708aa0f1 70058 graphics optional shapelib_1.2.10-5_i386.deb
 e11d86fd41ceae1264cdf493c1002a2e 26122 libdevel optional libshp-dev_1.2.10-5_i386.deb
 262a917d0595aeb946b276654abdf2e8 22440 libs optional libshp1_1.2.10-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksSR18ACgkQpFNRmenyx0fc+ACgtkTNXBXVWNJYZMigy29mW9XI
pRsAoOoFoU/9witkF6VsqAISv7+XuFa/
=QLpb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:19:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:24:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.